#include <bits/stdc++.h>
#include "locmin.h"
using namespace std;
const long long INF=1e18+1;
long long minll(long long a,long long b) {
    return a<b?a:b;
}
pair<int,int>find_locmin_point(int N,int M) {
    long long mat[N+2][M+2];
    for(int i=1; i<=N; i++) {
        for(int j=1; j<=M; j++) {
            mat[i][j]=value(i,j);
        }
    }
    for(int i=0; i<=N; i++) {
        mat[i][0]=mat[i][M+1]=INF;
    }
    for(int j=0; j<=M; j++) {
        mat[0][j]=mat[N+1][j]=INF;
    }
    for(int l=1; l<=N; l++) {
        for(int c=1; c<=M; c++) {
            long long mn=minll(mat[l+1][c],mat[l-1][c]);
            long long mn2=minll(mat[l][c-1],mat[l][c+1]);
            if(mat[l][c]<=minll(mn,mn2)) {
                return {l,c};
            }
        }
    }
}

